ChangeResourceOwnerForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.inventory.ChangeResourceOwnerForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.inventory
Class ChangeResourceOwnerForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.resource.common.inventory.ChangeResourceOwnerForm

All Implemented Interfaces:
  java.io.Serializable

    public class ChangeResourceOwnerForm

extends BaseValidatorForm

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ChangeResourceOwnerForm()`

Method Summary
`java.lang.Integer` | `getO()`
`java.lang.Integer` | `getOwner()`
`java.lang.Integer` | `getRid()`
`java.lang.Integer` | `getType()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setO(java.lang.Integer owner)`
`void` | `setOwner(java.lang.Integer owner)`
`void` | `setRid(java.lang.Integer i)`
`void` | `setType(java.lang.Integer i)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChangeResourceOwnerForm

    public ChangeResourceOwnerForm()

Method Detail

### getRid

    public java.lang.Integer getRid()

### setRid

    public void setRid(java.lang.Integer i)

### getO

    public java.lang.Integer getO()

### getOwner

    public java.lang.Integer getOwner()

### setO

    public void setO(java.lang.Integer owner)

### setOwner

    public void setOwner(java.lang.Integer owner)

### getType

    public java.lang.Integer getType()

### setType

    public void setType(java.lang.Integer i)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.